/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/symbol.scm -indent -o objs/obj_u/Ieee/symbol.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__keywordzd2ze3string1796z31zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__putpropz121791z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
static obj_t BGl__symbolzd2ze3string1781z31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__rempropz121793z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
extern bool_t symbol_exists_p(char *);
static obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
extern obj_t string_to_keyword(char *);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl_zc3anonymousza31004ze3z83zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__stringzd2ze3symbolzd2ci1785ze3zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__stringzd2ze3symbol1783z31zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__stringzd2ze3keyword1798z31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__getprop1789z00zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_getpropzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__getprop1789za700za7za7__r4_symbols_6_4za7001850z00, BGl__getprop1789z00zz__r4_symbols_6_4z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2appendza7d2za7za7__r4_symbols_6_4za7001851za7, va_generic_entry, BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3keyword1798za731za7za7__r4_symbols_6_4za7001852z00, BGl__stringzd2ze3keyword1798z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__putpropza7121791za712za7za7__r4_symbols_6_4za7001853za7, BGl__putpropz121791z12zz__r4_symbols_6_4z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__keywordza7f3za7f3za7za7__r4_symbols_6_4za7001854za7, BGl__keywordzf3zf3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3symbolza7d2ci1785za7e3za7za7__r4_symbols_6_4za7001855za7, BGl__stringzd2ze3symbolzd2ci1785ze3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_STRING( BGl_string1844z00zz__r4_symbols_6_4z00, BgL_bgl_string1844za700za7za7__r4_symbols_6_4za7001856z00, "getprop", 7 );
DEFINE_STRING( BGl_string1843z00zz__r4_symbols_6_4z00, BgL_bgl_string1843za700za7za7__r4_symbols_6_4za7001857z00, "argument is neither a symbol nor a keyword", 42 );
DEFINE_STRING( BGl_string1842z00zz__r4_symbols_6_4z00, BgL_bgl_string1842za700za7za7__r4_symbols_6_4za7001858z00, "symbol-plist", 12 );
DEFINE_STRING( BGl_string1841z00zz__r4_symbols_6_4z00, BgL_bgl_string1841za700za7za7__r4_symbols_6_4za7001859z00, "", 0 );
DEFINE_STRING( BGl_string1840z00zz__r4_symbols_6_4z00, BgL_bgl_string1840za700za7za7__r4_symbols_6_4za7001860z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1839z00zz__r4_symbols_6_4z00, BgL_bgl_string1839za700za7za7__r4_symbols_6_4za7001861z00, "gensym", 6 );
DEFINE_STRING( BGl_string1838z00zz__r4_symbols_6_4z00, BgL_bgl_string1838za700za7za7__r4_symbols_6_4za7001862z00, "g", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__rempropza7121793za712za7za7__r4_symbols_6_4za7001863za7, BGl__rempropz121793z12zz__r4_symbols_6_4z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__symbolza7f3za7f3za7za7__r4_symbols_6_4za7001864za7, BGl__symbolzf3zf3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3symbol1783za731za7za7__r4_symbols_6_4za7001865z00, BGl__stringzd2ze3symbol1783z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__keywordza7d2za7e3string1796za731za7za7__r4_symbols_6_4za7001866z00, BGl__keywordzd2ze3string1796z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2za7e3string1781za731za7za7__r4_symbols_6_4za7001867z00, BGl__symbolzd2ze3string1781z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2plistza7d2za7za7__r4_symbols_6_4za7001868za7, BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long BgL_checksumz00_716, char * BgL_fromz00_717)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(); 
BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 14 */
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_counterz00_329;
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_cellvalz00_723;
BgL_cellvalz00_723 = 
BINT(((long)999)); 
BgL_counterz00_329 = 
MAKE_CELL(BgL_cellvalz00_723); } 
{ /* ./Ieee/symbol.scm 151 */
obj_t BgL_zc3anonymousza31004ze3z83_672;
{ 
int BgL_auxz00_727;int BgL_auxz00_725;
BgL_auxz00_727 = 
(int)(((long)1)); 
BgL_auxz00_725 = 
(int)(((long)-1)); 
BgL_zc3anonymousza31004ze3z83_672 = 
make_va_procedure(BGl_zc3anonymousza31004ze3z83zz__r4_symbols_6_4z00, BgL_auxz00_725, BgL_auxz00_727); } 
{ /* ./Ieee/symbol.scm 151 */
int BgL_auxz00_730;
BgL_auxz00_730 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31004ze3z83_672, BgL_auxz00_730, BgL_counterz00_329); } 
return ( 
BGl_gensymz00zz__r4_symbols_6_4z00 = BgL_zc3anonymousza31004ze3z83_672, BUNSPEC) ;} } } 
}



/* <anonymous:1004> */
obj_t BGl_zc3anonymousza31004ze3z83zz__r4_symbols_6_4z00(obj_t BgL_envz00_673, obj_t BgL_stringz00_675)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 151 */
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_counterz00_674;
{ /* ./Ieee/symbol.scm 152 */
int BgL_auxz00_733;
BgL_auxz00_733 = 
(int)(((long)0)); 
BgL_counterz00_674 = 
PROCEDURE_REF(BgL_envz00_673, BgL_auxz00_733); } 
{ 
obj_t BgL_stringz00_330;
BgL_stringz00_330 = BgL_stringz00_675; 
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_stringz00_332;
if(
NULLP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 153 */
BgL_stringz00_332 = BGl_string1838z00zz__r4_symbols_6_4z00; }  else 
{ /* ./Ieee/symbol.scm 155 */
bool_t BgL_testz00_738;
{ /* ./Ieee/symbol.scm 155 */
obj_t BgL_auxz00_739;
BgL_auxz00_739 = 
CAR(BgL_stringz00_330); 
BgL_testz00_738 = 
SYMBOLP(BgL_auxz00_739); } 
if(BgL_testz00_738)
{ /* ./Ieee/symbol.scm 155 */
{ /* ./Ieee/symbol.scm 156 */
obj_t BgL_auxz00_742;
BgL_auxz00_742 = 
CAR(BgL_stringz00_330); 
BgL_stringz00_332 = 
SYMBOL_TO_STRING(BgL_auxz00_742); } }  else 
{ /* ./Ieee/symbol.scm 157 */
bool_t BgL_testz00_745;
{ /* ./Ieee/symbol.scm 157 */
obj_t BgL_auxz00_746;
BgL_auxz00_746 = 
CAR(BgL_stringz00_330); 
BgL_testz00_745 = 
STRINGP(BgL_auxz00_746); } 
if(BgL_testz00_745)
{ /* ./Ieee/symbol.scm 157 */
BgL_stringz00_332 = 
CAR(BgL_stringz00_330); }  else 
{ /* ./Ieee/symbol.scm 157 */
{ /* ./Ieee/symbol.scm 160 */
obj_t BgL_arg1028z00_344;
BgL_arg1028z00_344 = 
CAR(BgL_stringz00_330); 
FAILURE(BGl_string1839z00zz__r4_symbols_6_4z00,BGl_string1840z00zz__r4_symbols_6_4z00,BgL_arg1028z00_344);} } } } 
{ 

BgL_loopz00_333:
{ /* ./Ieee/symbol.scm 164 */
obj_t BgL_auxz00_676;
{ /* ./Ieee/symbol.scm 164 */
long BgL_za71za7_551;
{ /* ./Ieee/symbol.scm 164 */
obj_t BgL_auxz00_752;
BgL_auxz00_752 = 
CELL_REF(BgL_counterz00_674); 
BgL_za71za7_551 = 
(long)CINT(BgL_auxz00_752); } 
{ /* ./Ieee/symbol.scm 164 */
long BgL_auxz00_754;
BgL_auxz00_754 = 
(BgL_za71za7_551+((long)1)); 
BgL_auxz00_676 = 
BINT(BgL_auxz00_754); } } 
CELL_SET(BgL_counterz00_674, BgL_auxz00_676); } 
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_namez00_334;
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_arg1012z00_336;
{ /* ./Ieee/symbol.scm 165 */
long BgL_auxz00_757;
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_auxz00_758;
BgL_auxz00_758 = 
CELL_REF(BgL_counterz00_674); 
BgL_auxz00_757 = 
(long)CINT(BgL_auxz00_758); } 
BgL_arg1012z00_336 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_auxz00_757, BNIL); } 
BgL_namez00_334 = 
string_append(BgL_stringz00_332, BgL_arg1012z00_336); } 
{ /* ./Ieee/symbol.scm 166 */
bool_t BgL_testz00_762;
{ /* ./Ieee/symbol.scm 166 */
char * BgL_auxz00_763;
BgL_auxz00_763 = 
BSTRING_TO_STRING(BgL_namez00_334); 
BgL_testz00_762 = 
symbol_exists_p(BgL_auxz00_763); } 
if(BgL_testz00_762)
{ /* ./Ieee/symbol.scm 166 */
goto BgL_loopz00_333;}  else 
{ /* ./Ieee/symbol.scm 167 */
char * BgL_auxz00_766;
BgL_auxz00_766 = 
BSTRING_TO_STRING(BgL_namez00_334); 
return 
string_to_symbol(BgL_auxz00_766);} } } } } } } } 
}



/* symbol? */
BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 112 */
return 
SYMBOLP(BgL_objz00_1);} 
}



/* _symbol? */
obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_677, obj_t BgL_objz00_678)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 112 */
{ /* ./Ieee/symbol.scm 113 */
bool_t BgL_auxz00_770;
BgL_auxz00_770 = 
SYMBOLP(BgL_objz00_678); 
return 
BBOOL(BgL_auxz00_770);} } 
}



/* symbol->string */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_2)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 118 */
return 
SYMBOL_TO_STRING(BgL_symbolz00_2);} 
}



/* _symbol->string1781 */
obj_t BGl__symbolzd2ze3string1781z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_679, obj_t BgL_symbolz00_680)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 118 */
return 
SYMBOL_TO_STRING(BgL_symbolz00_680);} 
}



/* string->symbol */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_3)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 124 */
{ /* ./Ieee/symbol.scm 125 */
char * BgL_auxz00_775;
BgL_auxz00_775 = 
BSTRING_TO_STRING(BgL_stringz00_3); 
return 
string_to_symbol(BgL_auxz00_775);} } 
}



/* _string->symbol1783 */
obj_t BGl__stringzd2ze3symbol1783z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_681, obj_t BgL_stringz00_682)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 124 */
{ /* ./Ieee/symbol.scm 125 */
char * BgL_auxz00_778;
BgL_auxz00_778 = 
BSTRING_TO_STRING(BgL_stringz00_682); 
return 
string_to_symbol(BgL_auxz00_778);} } 
}



/* string->symbol-ci */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_4)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 130 */
{ /* ./Ieee/symbol.scm 131 */
obj_t BgL_arg1044z00_554;
BgL_arg1044z00_554 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_4); 
{ /* ./Ieee/symbol.scm 131 */
char * BgL_auxz00_782;
BgL_auxz00_782 = 
BSTRING_TO_STRING(BgL_arg1044z00_554); 
return 
string_to_symbol(BgL_auxz00_782);} } } 
}



/* _string->symbol-ci1785 */
obj_t BGl__stringzd2ze3symbolzd2ci1785ze3zz__r4_symbols_6_4z00(obj_t BgL_envz00_683, obj_t BgL_stringz00_684)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 130 */
return 
BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_stringz00_684);} 
}



/* symbol-append */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_listz00_5)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 136 */
{ /* ./Ieee/symbol.scm 138 */
obj_t BgL_arg1048z00_348;
if(
NULLP(BgL_listz00_5))
{ /* ./Ieee/symbol.scm 138 */
BgL_arg1048z00_348 = BGl_string1841z00zz__r4_symbols_6_4z00; }  else 
{ /* ./Ieee/symbol.scm 138 */
BgL_arg1048z00_348 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_listz00_5); } 
{ /* ./Ieee/symbol.scm 137 */
char * BgL_auxz00_789;
BgL_auxz00_789 = 
BSTRING_TO_STRING(BgL_arg1048z00_348); 
return 
string_to_symbol(BgL_auxz00_789);} } } 
}



/* symbol-append' */
obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t BgL_listz00_350)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 140 */
{ /* ./Ieee/symbol.scm 141 */
bool_t BgL_testz00_792;
{ /* ./Ieee/symbol.scm 141 */
obj_t BgL_auxz00_793;
BgL_auxz00_793 = 
CDR(BgL_listz00_350); 
BgL_testz00_792 = 
NULLP(BgL_auxz00_793); } 
if(BgL_testz00_792)
{ /* ./Ieee/symbol.scm 142 */
obj_t BgL_auxz00_796;
BgL_auxz00_796 = 
CAR(BgL_listz00_350); 
return 
SYMBOL_TO_STRING(BgL_auxz00_796);}  else 
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_arg1058z00_354;obj_t BgL_arg1059z00_355;
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
CAR(BgL_listz00_350); 
BgL_arg1058z00_354 = 
SYMBOL_TO_STRING(BgL_auxz00_799); } 
BgL_arg1059z00_355 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(
CDR(BgL_listz00_350)); 
return 
string_append(BgL_arg1058z00_354, BgL_arg1059z00_355);} } } 
}



/* _symbol-append */
obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_685, obj_t BgL_listz00_686)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 136 */
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_686);} 
}



/* symbol-plist */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_6)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 173 */
if(
SYMBOLP(BgL_symbolz00_6))
{ /* ./Ieee/symbol.scm 175 */
return 
GET_SYMBOL_PLIST(BgL_symbolz00_6);}  else 
{ /* ./Ieee/symbol.scm 175 */
if(
KEYWORDP(BgL_symbolz00_6))
{ /* ./Ieee/symbol.scm 175 */
return 
GET_KEYWORD_PLIST(BgL_symbolz00_6);}  else 
{ /* ./Ieee/symbol.scm 175 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_6);} } } 
}



/* _symbol-plist */
obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_687, obj_t BgL_symbolz00_688)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 173 */
if(
SYMBOLP(BgL_symbolz00_688))
{ /* ./Ieee/symbol.scm 175 */
return 
GET_SYMBOL_PLIST(BgL_symbolz00_688);}  else 
{ /* ./Ieee/symbol.scm 175 */
if(
KEYWORDP(BgL_symbolz00_688))
{ /* ./Ieee/symbol.scm 175 */
return 
GET_KEYWORD_PLIST(BgL_symbolz00_688);}  else 
{ /* ./Ieee/symbol.scm 175 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_688);} } } 
}



/* getprop */
BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_7, obj_t BgL_keyz00_8)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 187 */
{ /* ./Ieee/symbol.scm 188 */
bool_t BgL_test1084z00_361;
if(
SYMBOLP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 188 */
BgL_test1084z00_361 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 188 */
BgL_test1084z00_361 = 
KEYWORDP(BgL_symbolz00_7); } 
if(BgL_test1084z00_361)
{ 
obj_t BgL_plz00_362;
{ /* ./Ieee/symbol.scm 189 */
obj_t BgL_arg1086z00_364;
if(
SYMBOLP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 189 */
BgL_arg1086z00_364 = 
GET_SYMBOL_PLIST(BgL_symbolz00_7); }  else 
{ /* ./Ieee/symbol.scm 189 */
if(
KEYWORDP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 189 */
BgL_arg1086z00_364 = 
GET_KEYWORD_PLIST(BgL_symbolz00_7); }  else 
{ /* ./Ieee/symbol.scm 189 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_7);} } 
BgL_plz00_362 = BgL_arg1086z00_364; 
BgL_loopz00_363:
if(
NULLP(BgL_plz00_362))
{ /* ./Ieee/symbol.scm 191 */
return BFALSE;}  else 
{ /* ./Ieee/symbol.scm 193 */
bool_t BgL_testz00_833;
{ /* ./Ieee/symbol.scm 193 */
obj_t BgL_auxz00_834;
BgL_auxz00_834 = 
CAR(BgL_plz00_362); 
BgL_testz00_833 = 
(BgL_auxz00_834==BgL_keyz00_8); } 
if(BgL_testz00_833)
{ /* ./Ieee/symbol.scm 193 */
{ /* ./Ieee/symbol.scm 194 */
obj_t BgL_auxz00_837;
BgL_auxz00_837 = 
CDR(BgL_plz00_362); 
return 
CAR(BgL_auxz00_837);} }  else 
{ /* ./Ieee/symbol.scm 193 */
{ 
obj_t BgL_plz00_840;
{ /* ./Ieee/symbol.scm 196 */
obj_t BgL_auxz00_841;
BgL_auxz00_841 = 
CDR(BgL_plz00_362); 
BgL_plz00_840 = 
CDR(BgL_auxz00_841); } 
BgL_plz00_362 = BgL_plz00_840; 
goto BgL_loopz00_363;} } } } }  else 
{ /* ./Ieee/symbol.scm 188 */
FAILURE(BGl_string1844z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_7);} } } 
}



/* _getprop1789 */
obj_t BGl__getprop1789z00zz__r4_symbols_6_4z00(obj_t BgL_envz00_689, obj_t BgL_symbolz00_690, obj_t BgL_keyz00_691)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 187 */
return 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_690, BgL_keyz00_691);} 
}



/* putprop! */
BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_9, obj_t BgL_keyz00_10, obj_t BgL_valz00_11)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 202 */
{ /* ./Ieee/symbol.scm 203 */
bool_t BgL_test1105z00_370;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 203 */
BgL_test1105z00_370 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 203 */
BgL_test1105z00_370 = 
KEYWORDP(BgL_symbolz00_9); } 
if(BgL_test1105z00_370)
{ 
obj_t BgL_plz00_371;
{ /* ./Ieee/symbol.scm 204 */
obj_t BgL_arg1107z00_373;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 204 */
BgL_arg1107z00_373 = 
GET_SYMBOL_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 204 */
if(
KEYWORDP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 204 */
BgL_arg1107z00_373 = 
GET_KEYWORD_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 204 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_9);} } 
BgL_plz00_371 = BgL_arg1107z00_373; 
BgL_loopz00_372:
if(
NULLP(BgL_plz00_371))
{ /* ./Ieee/symbol.scm 206 */
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_newz00_375;
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_arg1117z00_377;
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_arg1120z00_378;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 207 */
BgL_arg1120z00_378 = 
GET_SYMBOL_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 207 */
if(
KEYWORDP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 207 */
BgL_arg1120z00_378 = 
GET_KEYWORD_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 207 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_9);} } 
BgL_arg1117z00_377 = 
MAKE_PAIR(BgL_valz00_11, BgL_arg1120z00_378); } 
BgL_newz00_375 = 
MAKE_PAIR(BgL_keyz00_10, BgL_arg1117z00_377); } 
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 208 */
SET_SYMBOL_PLIST(BgL_symbolz00_9, BgL_newz00_375); }  else 
{ /* ./Ieee/symbol.scm 208 */
SET_KEYWORD_PLIST(BgL_symbolz00_9, BgL_newz00_375); } 
return BgL_newz00_375;} }  else 
{ /* ./Ieee/symbol.scm 212 */
bool_t BgL_testz00_872;
{ /* ./Ieee/symbol.scm 212 */
obj_t BgL_auxz00_873;
BgL_auxz00_873 = 
CAR(BgL_plz00_371); 
BgL_testz00_872 = 
(BgL_auxz00_873==BgL_keyz00_10); } 
if(BgL_testz00_872)
{ /* ./Ieee/symbol.scm 212 */
{ /* ./Ieee/symbol.scm 213 */
obj_t BgL_auxz00_876;
BgL_auxz00_876 = 
CDR(BgL_plz00_371); 
return 
SET_CAR(BgL_auxz00_876, BgL_valz00_11);} }  else 
{ /* ./Ieee/symbol.scm 212 */
{ 
obj_t BgL_plz00_879;
{ /* ./Ieee/symbol.scm 215 */
obj_t BgL_auxz00_880;
BgL_auxz00_880 = 
CDR(BgL_plz00_371); 
BgL_plz00_879 = 
CDR(BgL_auxz00_880); } 
BgL_plz00_371 = BgL_plz00_879; 
goto BgL_loopz00_372;} } } } }  else 
{ /* ./Ieee/symbol.scm 203 */
FAILURE(BGl_string1844z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_9);} } } 
}



/* _putprop!1791 */
obj_t BGl__putpropz121791z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_692, obj_t BgL_symbolz00_693, obj_t BgL_keyz00_694, obj_t BgL_valz00_695)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 202 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_693, BgL_keyz00_694, BgL_valz00_695);} 
}



/* remprop! */
BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_12, obj_t BgL_keyz00_13)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 221 */
{ /* ./Ieee/symbol.scm 222 */
bool_t BgL_test1142z00_384;
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 222 */
BgL_test1142z00_384 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 222 */
BgL_test1142z00_384 = 
KEYWORDP(BgL_symbolz00_12); } 
if(BgL_test1142z00_384)
{ 
obj_t BgL_oldz00_385;obj_t BgL_lz00_386;
{ /* ./Ieee/symbol.scm 223 */
obj_t BgL_arg1146z00_389;
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 224 */
BgL_arg1146z00_389 = 
GET_SYMBOL_PLIST(BgL_symbolz00_12); }  else 
{ /* ./Ieee/symbol.scm 224 */
if(
KEYWORDP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 224 */
BgL_arg1146z00_389 = 
GET_KEYWORD_PLIST(BgL_symbolz00_12); }  else 
{ /* ./Ieee/symbol.scm 224 */
FAILURE(BGl_string1842z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_12);} } 
BgL_oldz00_385 = BNIL; 
BgL_lz00_386 = BgL_arg1146z00_389; 
BgL_loopz00_387:
if(
NULLP(BgL_lz00_386))
{ /* ./Ieee/symbol.scm 226 */
return BFALSE;}  else 
{ /* ./Ieee/symbol.scm 228 */
bool_t BgL_testz00_898;
{ /* ./Ieee/symbol.scm 228 */
obj_t BgL_auxz00_899;
BgL_auxz00_899 = 
CAR(BgL_lz00_386); 
BgL_testz00_898 = 
(BgL_auxz00_899==BgL_keyz00_13); } 
if(BgL_testz00_898)
{ /* ./Ieee/symbol.scm 228 */
if(
PAIRP(BgL_oldz00_385))
{ /* ./Ieee/symbol.scm 230 */
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_auxz00_906;obj_t BgL_auxz00_904;
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_auxz00_907;
BgL_auxz00_907 = 
CDR(BgL_lz00_386); 
BgL_auxz00_906 = 
CDR(BgL_auxz00_907); } 
BgL_auxz00_904 = 
CDR(BgL_oldz00_385); 
return 
SET_CDR(BgL_auxz00_904, BgL_auxz00_906);} }  else 
{ /* ./Ieee/symbol.scm 230 */
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_auxz00_913;
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_auxz00_914;
BgL_auxz00_914 = 
CDR(BgL_lz00_386); 
BgL_auxz00_913 = 
CDR(BgL_auxz00_914); } 
return 
SET_SYMBOL_PLIST(BgL_symbolz00_12, BgL_auxz00_913);}  else 
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_auxz00_918;
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_auxz00_919;
BgL_auxz00_919 = 
CDR(BgL_lz00_386); 
BgL_auxz00_918 = 
CDR(BgL_auxz00_919); } 
return 
SET_KEYWORD_PLIST(BgL_symbolz00_12, BgL_auxz00_918);} } }  else 
{ /* ./Ieee/symbol.scm 228 */
{ 
obj_t BgL_lz00_924;obj_t BgL_oldz00_923;
BgL_oldz00_923 = BgL_lz00_386; 
{ /* ./Ieee/symbol.scm 237 */
obj_t BgL_auxz00_925;
BgL_auxz00_925 = 
CDR(BgL_lz00_386); 
BgL_lz00_924 = 
CDR(BgL_auxz00_925); } 
BgL_lz00_386 = BgL_lz00_924; 
BgL_oldz00_385 = BgL_oldz00_923; 
goto BgL_loopz00_387;} } } } }  else 
{ /* ./Ieee/symbol.scm 222 */
FAILURE(BGl_string1844z00zz__r4_symbols_6_4z00,BGl_string1843z00zz__r4_symbols_6_4z00,BgL_symbolz00_12);} } } 
}



/* _remprop!1793 */
obj_t BGl__rempropz121793z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_696, obj_t BgL_symbolz00_697, obj_t BgL_keyz00_698)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 221 */
return 
BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_697, BgL_keyz00_698);} 
}



/* keyword? */
BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_14)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 243 */
return 
KEYWORDP(BgL_objz00_14);} 
}



/* _keyword? */
obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_699, obj_t BgL_objz00_700)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 243 */
{ /* ./Ieee/symbol.scm 244 */
bool_t BgL_auxz00_931;
BgL_auxz00_931 = 
KEYWORDP(BgL_objz00_700); 
return 
BBOOL(BgL_auxz00_931);} } 
}



/* keyword->string */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_15)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 249 */
return 
KEYWORD_TO_STRING(BgL_keywordz00_15);} 
}



/* _keyword->string1796 */
obj_t BGl__keywordzd2ze3string1796z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_701, obj_t BgL_keywordz00_702)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 249 */
return 
KEYWORD_TO_STRING(BgL_keywordz00_702);} 
}



/* string->keyword */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_16)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 255 */
{ /* ./Ieee/symbol.scm 256 */
char * BgL_auxz00_936;
BgL_auxz00_936 = 
BSTRING_TO_STRING(BgL_stringz00_16); 
return 
string_to_keyword(BgL_auxz00_936);} } 
}



/* _string->keyword1798 */
obj_t BGl__stringzd2ze3keyword1798z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_703, obj_t BgL_stringz00_704)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 255 */
{ /* ./Ieee/symbol.scm 256 */
char * BgL_auxz00_939;
BgL_auxz00_939 = 
BSTRING_TO_STRING(BgL_stringz00_704); 
return 
string_to_keyword(BgL_auxz00_939);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_symbols_6_4");} 
}

